#
# spec file for package 7plus
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           7plus
Version:        2.25
Release:        lp155.607.1
Summary:        File Converter for Store and Forward
License:        SUSE-Permissive
Group:          Productivity/Hamradio/Packet
Url:            http://home.t-online.de/home/dg1bbq/7plus.htm
Source:         %{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  binutils
BuildRequires:  dos2unix
BuildRequires:  gcc
BuildRequires:  gdbm
BuildRequires:  gettext
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  rpm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
7plus converts binary files to 7-bit for transport over packet radio
links.

%prep
%setup -q -n 7plsrc.225
dos2unix 7plus.cds

%build
make %{?_smp_mflags} -f linux.mak CFLAGS="%{optflags} -std=gnu90 -fno-strict-aliasing -DSYSV"

%install
install -d %{buildroot}%{_prefix}/bin
install 7plus %{buildroot}%{_bindir}/

%files
%defattr(-,root,root)
%doc 7pl_hist.nts 7plh_old.nts 7plus.cds read_me.1st
%attr(755, root, root) %{_bindir}/7plus

%changelog
* Wed Nov 23 2016 aloisio@gmx.com
- Dropped redundant 7plus.diff
- Fixed TW/Factory build
- Spec cleanup
* Wed Feb 21 2007 dl9pf@gmx.d
- import into buildservice
* Tue Jun 22 2004 hmacht@suse.d
- building as non root user
* Sun Apr 25 2004 ro@suse.d
- use rpm_opt_flags and add no-strict-aliasing
* Wed Nov 29 2000 jreuter@suse.d
- changed group tag
* Thu Jun  1 2000 bubnikv@suse.c
- updated to 2.25
* Thu May 25 2000 bubnikv@suse.c
- sorted
* Thu May  4 2000 bubnikv@suse.c
- added buildroot, minor specfile cleanups
* Mon Mar  6 2000 ka@suse.d
- update to 2.23
* Sun Sep 12 1999 bs@suse.d
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul  6 1999 ka@suse.d
- added -DSYSV to Makefile, now builds on alpha (thanks, Rudi!)
* Mon Jun  7 1999 ka@suse.d
- initial release
